Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for Emacs Lisp.

From: Vladimir Nikishkin <[email-masked]>
Date: Thu, 12 Nov 2020 00:14:00 +0800

Well, if your parsers and fontifiers recognize #'symbol constructions,
wouldn't they recognise #; in almost the same way?

--
Yours sincerely, Vladimir Nikishkin
(Sent with Google mail mobile.)

Mattias Engdegård <[email-masked]> 于 2020年11月12日周四 00:11写道：

> mark-sexp (C-M-SPC) followed by comment-region already works, doesn't it?
> Not obvious that SRFI-62 comments would be substantially better.
>
> I would very much like not having to update code that parses, lexes,
> searches, matches, pretty-prints, fontifies, navigates in, browses, indexes
> or otherwise recognises elisp surface syntax, that I have written over the
> years in various places -- at least not without a really good reason.
> Likely I'm not alone.
>
> Sorry about the downbeat tone! I really don't mind syntax improvements,
> but here it seems unclear that the benefits would outweigh the costs.
>
>